Page MenuHomePhabricator

Organize a technical workshop in Ramallah (Palestine, 30 March 2016)
Closed, ResolvedPublic

Event Timeline

Qgil created this task.Jan 25 2016, 10:32 PM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 25 2016, 10:32 PM
ori awarded a token.Jan 25 2016, 10:33 PM
Qgil added a comment.Jan 25 2016, 10:53 PM

I will be attending WikiArabia and traveling back to Jerusalem/Ramallah. I have also registered for the Jerusalem hackathon (attendance not confirmed).
WikiArabia: Mar 24-26
Hackathon: Mar 31-Apr 3
I propose holding the event in Ramallah or Birzeit

I have mentioned Ramallah in the title but could be Birzeit, your call. You know the area, we don't .

during the week in between, perhaps Monday, the 28th. Birzeit University is off on Sundays (additionally the 27th is Easter Sunday according to the Gregorian calendar). I will probably be traveling back to Palestine on Sunday.

On Sunday WikiArabia is still on? Again, you know the area better than us. In theory it would be better to choose a later day of the week if it doesn't make a difference for the local organizers. It might be easier to get some extra participants among the early travelers to the Wikimedia Hackathon from Jerusalem. I'm sure someone will get excited about the privilege to meet and hack with the locals both in Jerusalem and Ramallah / Birzet.

Additionally, I can help with the logistics and escort those traveling back from Amman.

Thank you for your support! Let's wait to see how many are we, and where are we landing to / departing from.

Qgil renamed this task from Organize a technical workshop in Ramallah (Palestine, end of March 2016) to Organize a technical workshop in Ramallah or Birzet (Palestine, end of March 2016).Jan 25 2016, 10:53 PM
Qgil set Security to None.
Fjmustak added a comment.EditedJan 25 2016, 11:38 PM

@Qgil Birzeit University is probably a good setting (it's only a 15 minute ride from Ramallah)... Location shouldn't be an issue.

WikiArabia concludes on Saturday, and people will be departing on Sunday.
A later day of the week will certainly work, if that means a greater number of participants traveling to the Hackathon.

Again, I would greatly appreciate your input on who your ideal target audience would be. I've already started talking to the local open source community, and am in touch with the CS department at Birzeit University, as there are no local MediaWiki devs that I know of, but would certainly like to start one. From your experience, who's most likely to be engaged? (Same goes for Amman). Certainly interacting with Dev Relations and any early arriving Hackathon participants will help in getting people on board.

Johan added a subscriber: Johan.Jan 25 2016, 11:39 PM
Qgil added a comment.EditedJan 26 2016, 11:43 AM

What do you think about a workshop on Thursday 31, starting in the morning and finishing at lunch time? This would allow Wikimedia Hackathon participants interested to join/help with this workshop and then be back to Jerusalem to join the welcoming dinner.

If Thursday morning doesn't work for the audience you have in mind (students? other?) then Wednesday afternoon is the next logical stop.

For international visitors, this would basically mean flying only one day early in order to join this workshop. I'm quite certain some will be interested. We would need to figure out the details, probably requesting registration in advance, in order to plan the transport from/to Jerusalem accordingly. Some might be interested in arriving the day before and stay overnight in Ramallah if there is some kind of evening social plan with local Wikimedians / developers.

About the content of the workshop, see the "Introduction to Wikimedia Tech" proposed at T124217#1965362. Depending on the date and availability of our developers, other possibilities could be considered (Android / iOS apps and building own tools using Wikimedia APIs sound like two candidates, but again we would need to confirm availability of developers in these domains).

@Qgil Wednesday evening is probably a better option than Thursday morning, as more people will be able to attend (after work). Thursday is also the last day of the week for most, so Thursday evening is not good for people who work in Ramallah during the week, and go home for the weekend (anyway, Thursday evening is the welcome dinner for the Hackathon). I guess we need to balance between the availability of the Hackathon participants who may be able to join and the local participants. (Or we could potentially hold two sessions, one on Wednesday afternoon/evening, and one on Thursday, the Thursday one being geared more towards the Hackathon participants, and more advanced developers...)
I guess we need to figure this out as soon as possible so that the Internationals can make their travel arrangements. How will they be notified?
Also, we need to advertise this soon. I would appreciate any help in creating advertising material, if you have any from previous workshops/talks.

Qgil added a comment.Jan 27 2016, 9:49 PM

Please confirm the details of a session on Wednesday afternoon, so we can start advertising it.

We will need a registration form including details about transport from/to Jerusalem (which we will need to organize) and accommodation (people preferring to stay in Ramallah or Jerusalem).

Qgil added a comment.Feb 1 2016, 7:35 AM

@Fjmustak, please propose a starting time for this workshop on Thursday 31, and the duration that makes sense to you according to local standards. We can be flexible. Let's say minimum 50 minutes, maximum 3 hours?

Qgil renamed this task from Organize a technical workshop in Ramallah or Birzet (Palestine, end of March 2016) to Organize a technical workshop in Ramallah or Birzet (Palestine, 31 March 2016).Feb 1 2016, 7:35 AM

@Qgil, did we not agree on Wednesday the 30th? We can still do Thursday if necessary. I was thinking 3-6 or 4-7 pm. As for content, the intro to Wikimedia tech sounds good. There's also some interest about wiki data. Could we perhaps hold a session on that? There's also the intro to phabricafor talk if necessary. I am working on the transportation from and to Jerusalem and the accommodation.

@Qgil I was chatting with @Fjmustak today and it would be great if we could nail down the date to start planning the relevant logistics (listing some below). Are we agreed on Wednesday afternoon/evening (30 March)? If so, I believe we can start to advertise to hackathon attendees and locally.

  • Transport will be dictated by the number and make up of the group. A small group (>7) could do a single taxi. A larger group could do multiple taxis or a minibus, for example. Public transport is an option, too, if people are comfortable with that and not in a hurry.
  • An overnight stay in Ramallah is another consideration. Again, depends on who's coming. There are hostels, two star hotels and up to the Movenpick.
  • @Fjmustak is looking at potential co-hosts (tech organizations/groups and Birzeit University).
  • There is the question of costs and who covers what: transport, hotels, food, etc. Any guidance here would be appreciated. It's probably too late to put in for a grant, right?
Qgil renamed this task from Organize a technical workshop in Ramallah or Birzet (Palestine, 31 March 2016) to Organize a technical workshop in Ramallah or Birzet (Palestine, 30 March 2016).Feb 5 2016, 10:38 AM
Qgil added a comment.Feb 5 2016, 10:42 AM

Yes, Wednesday 30 afternoon/evening. Sorry for the confusion.

Transport from/to Jerusalem, yes, we can figure this out when we know how many people is interested. Let's announce the event first.

Costs: this will have to come from the Developer Relations budget. Please send me a quote of the local expenses (i.e. food) via email. Hotels, everybody pays their own. If we sponsor someone (i.e. a developer to help running the session) we will take of that directly. Transport should not be a problem in any case.

Thanks for the clarifications and additional info, @Qgil! Sounds like we can start to announce and socialize this opportunity.

@Fjmustak, do you need anything else at the moment to move forward on your end?

aude added a subscriber: aude.Feb 5 2016, 4:06 PM

@Fjmustak: Do you need anything else at the moment to move forward on your end?

@Fjmustak: Do you need anything else at the moment to move forward on your end?

Has any announcement been made for the hackathon attendees? Who can take the lead on that?

We should advertise on both ends (locally through @Fjmustak and internationally through hackathon channels).

I can help coordinate as needed, but will not actually be at the hackathon (and am not familiar with proper way to advertise this opportunity). Thoughts? @Aklapper @Qgil?

Can we create an event page somewhere on wiki to coordinate? Not sure a Phabricator task is the best format for this type of thing.

Qgil added a subscriber: Rfarrand.Feb 17 2016, 8:29 PM

@Rfarrand, what do you propose?

@Aklapper I'm ready to move on and advertise locally and find a venue.
@aude will you be coming to Palestine? A wikidata session would be nice.

aude added a comment.Feb 17 2016, 9:30 PM

@Fjmustak almost certain can come and I might be able to bring 1-2 of my colleagues to help me with the session

We can probably put a link on the hackathon page. Once we send out a first email to all hackathon participants we can also include this. Do you think it would be worth sending out an email to all hackathon participants sooner, only about this? Just let me know how I can help!

Lucie added a subscriber: Lucie.Feb 18 2016, 11:03 AM

@Rfarrand Thanks for the follow up. My only thought on timing is that it may impact travel considerations for participants. I imagine many will be booking travel soon (if they haven't already)? In that sense, sooner may be better to allow people to consider attending this event (ie perhaps arriving a day or two earlier).

For link/page: we could call it the Birzeit Meetup or something. Where would be a good place to have an event page? MediaWiki, Meta? @Fjmustak any special considerations about this?

Lucie added a comment.Feb 20 2016, 5:11 PM

I'd probably join @aude

Qgil assigned this task to Fjmustak.Feb 25 2016, 10:32 PM

Assigning this task to @Fjmustak , since he is in charge of the local organization.

bd808 added a subscriber: bd808.Mar 2 2016, 12:54 AM
Qgil added a comment.Mar 7 2016, 10:30 AM

Only three weeks left before the event. International visitors are booking flights and accommodation already. @Fjmustak, can you confirm the details about this workshop, please? A wiki page in mediawiki.org would be very useful as well.

@Qgil I'm creating a mediawiki page right now. The organizing team is also meeting this week to come up with a place to host.
I will post the link to the mediawiki page once it's up. @Qgil @aude @Lucie and whoever else is presenting a session, could you please add details about your talks, and anything else I missed.

Qgil added a comment.Mar 9 2016, 2:50 PM

@Fjmustak is the venue confirmed? Do we have specific hours for start / end of the workshop? Any social activities confirmed like lunch/midday or dinner/evening?

Also, any idea of how many local participants are expected, their profiles and interests?

We need to know a bit about the context. With the "international" developers confirmed to this workshop, I have no concerns about the program, and our flexibility to adapt to the needs of the local participants.

Hi @Qgil
We are still working on the venue, but it will be in Ramallah, not Birzeit. We should have a better idea by Monday. Local advertisement and registration will start early next week.
The event will start at 3:30 and run for four hours.
We expect about 50 participants (will depend on the venue). But these are made up of IT professionals, students, and Open Source enthusiasts. The audience will be tech savvy, but know very little about Wikimedia Tech, so your "Intro to Wikimedia Tech" session will definitely be pertinent. The aim of this event is to get people excited, and hopefully get involved in the projects.
A group of volunteers called "Nablus Tech MeetUps" (https://www.facebook.com/NablusTM in Arabic) - who have a great experience in organizing tech events - are co-organize this event, which is great!
As for social events, lunch/dinner:

  • The idea is to have a break in between sessions with pizza and soft drinks (or falafel if you prefer), where people can socialize. Do you think WMF will be able to cover the cost? (~$5/person)
  • As for before the session, it would be great to take the out the internationals on a walking tour of the town.
  • After the event, nightlife in Ramallah is never dull. There are a wide variety of coffee shops, restaurants, and bars. We can preplan something if you prefer, or leave it open (I'll create sections about the walking tour and the nightlife on the event page)

For those wanting to stay the night, there are a variety of options. Another section on the event page.

Finally, could you add some info about your sessions, @Qgil and @aude ?

Qgil added a comment.Mar 11 2016, 9:46 AM

@Aklapper is the one leading the intro session. It looks like we can start mirroring Amman's sessions, and then perhaps have a showcase of different options based on the Wikimedia participants at the workshop: Phabricator, Labs, Wikidata, Vagrant...

A break with light food and drinks sounds great. Yes, we have budget for that. @Rfarrand can follow up with you on this. I will only say: as an international visitor, falafel and friends win over pizza, but others may disagree, and this is ultimately your call. :)

The collaboration with Nablus Tech MeetUps also sounds great. Open plan for the evening also sounds very good. Congratulations, @Fjmustak , you are putting together a great workshop!

We will need to figure out transport to Ramallah from Tel Aviv airport and Jerusalem on the 29th and 30th, but for that we still need to know who plans to go from where and when.

And then we need to arrange transport from Ramallah to Jerusalem on the 31st in the morning. Ideally, there would be an option that would allow participants to join the first activity of the Hackathon, a tour through Jerusalem starting at 12:00: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2016#Organized_tours_in_Jerusalem

Qgil renamed this task from Organize a technical workshop in Ramallah or Birzet (Palestine, 30 March 2016) to Organize a technical workshop in Ramallah (Palestine, 30 March 2016).Mar 11 2016, 9:48 AM
Qgil updated the task description. (Show Details)

Thanks @Qgil!
It is slowly but surely taking shape. I've added some headers and a couple of sentences to the mediawiki page.
Transport from the airport will depend on the number. The easiest is a 4 passenger taxi. There are also larger 7 passenger taxis, but those are not as common. From Jerusalem, there are even more options, taxis are still the easiest, but there is also public transport. Once we have a clearer idea of the number of travelers, we can work out the details.
I mentioned falafel specifically for that reason :) Perhaps we'll go with that.
One more thing, we need bios of the speakers for the local advertisement. Will the WMF profiles do for you and @Aklapper ? @aude? Anyone else?
Also for advertisement, what's the policy of using the WMF logo?

One more thing, we need bios of the speakers for the local advertisement. Will the WMF profiles do for you and @Aklapper ? @aude? Anyone else?

Remixing my user page should hopefully work?

Also for advertisement, what's the policy of using the WMF logo?

The Wikimedia community logo (which is not the WMF logo) would be public domain: https://meta.wikimedia.org/wiki/Logo

Hi @Fjmustak - for the event food, are you able to cover the costs and then submit an invoice to WMF after the event? If that works for you, that would be the easiest option for us. Once you have an idea of what the cost will be (for that and anything else that WMF will be covering) can you please email it to me at rfarrand@wikimedia.org?

We are just confirming the participation of 6 more long term wikimedia volunteers at this event to help mentor and participate. I will ask everyone to register themselves here: https://www.mediawiki.org/wiki/WikiArabia_Tech_Meetup_2016#Ramallah
Is there anywhere else you would like people to register? Do we have an idea of how many local developers will be attending as well?

Looking forward to it!

@Rfarrand sure, we can do that. I'll email you know once the number of attendees is known.
Great! That's the only signup sheet so far... It would be nice to know where everyone's coming from, and whether they'll be staying in Ramallah, so I can help out with the logistics.

Fjmustak added a comment.EditedMar 14 2016, 1:03 PM

Venue selected!
After careful consideration of several options for holding the event (tech companies, trade unions), we have decided on holding it at "Khalil Sakakini Cultural Center". http://sakakini.org/about-us/about-the-center/ (Facebook page). The Sakakini building is an old restored mansion in a central location in Ramallah. Photos are on Facebook page. I will add photos of the center to commons so we can include them in the announcement... In the mean time, there are photos of the venue on their Facebook page. The capacity is about 50-60 people.

Qgil added a comment.Mar 15 2016, 2:36 PM

Very good! OK, so it looks like we "only" need local participants. Phew!

Hi @Fjmustak would you mind emailing me at rfarrand@wikimedia.org?
I would like to introduce you by email to a videographer who may or may not decide to attend the event and take some video recordings. Hopefully the two of you can talk to see what makes sense for the event.

Thanks!

@Rfarrand, @Qgil, do you know when everyone's planning on coming to Ramallah, and whether they'll be spending either or both the nights of the 29th or the 30th in Ramallah? We're trying to plan the activities before/after the event, and it would be nice to know how many people there will be, and when they will be available. What's the best way to find out?

Hello!
Rachel and Andre will be arriving on the 28th.
Most others will be arriving on the 29th.

@Aklapper & I currently don't have specific plans for the evening of the 28th or the 29th day.

Some of the travel times for others are listed here:
https://www.mediawiki.org/wiki/WikiArabia_Tech_Meetup_2016/shared_taxi

FYI: I will be traveling back from Amman on Sunday night, along with a group of WikiArabia attendees from Palestine. I see there will be at least three of you (@Rfarrand , @Aklapper , and @aude ) coming from Amman, while the rest are flying into TLV on the 29th. We will coordinate further when we meet in Amman.

Aklapper moved this task from Backlog to Doing on the DevRel-March-2016 board.Mar 24 2016, 3:14 PM

Good luck tomorrow! Excited to hear how things go :)

Qgil added a comment.Mar 30 2016, 9:38 AM

I can assure the readers of this task that the social part is going very well. Yesterday all international visitors arrived to Ramallah. The local hosts are superb. Looking forward to the beginning of the workshop in a couple of hours!

Aklapper closed this task as Resolved.Mar 31 2016, 9:25 AM

This happened. Thanks to everyone who was involved and organized this! Closing this task as resolved.

(Would love to see photos etc. published and linked from its page. :)